<?php if(!defined('PLX_ROOT')) exit; ?>
<?php
/**
 * Plugin for Pluxml
 * @author	DPFPIC / gcyrillus(update)
 * Site : http://monblog.dpfpic.com/
 * Licence GNU_GPL
 **/
 
# Control du token du formulaire
plxToken::validateFormToken($_POST);

# Vérification de l'existence du dossier /plugins/davis
if(!is_dir(PLX_ROOT.PLX_CONFIG_PATH.'plugins/davis')) {
	@mkdir(PLX_ROOT.PLX_CONFIG_PATH.'plugins/davis',0755,true);

	# Protection du répertoire des entrées du DonnerAvis
	plxUtils::write('', PLX_ROOT.PLX_CONFIG_PATH.'plugins/davis/index.html');
}

if(!empty($_POST)) {
	$plxPlugin->setParam('mnuDisplay', $_POST['mnuDisplay'], 'numeric');
	$plxPlugin->setParam('mnuName',addslashes($_POST['mnuName']), 'cdata');
	$plxPlugin->setParam('mnuPos', $_POST['mnuPos'], 'numeric');
	$plxPlugin->setParam('mnuText', plxUtils::strCheck($_POST['mnuText']), 'string');	
	$plxPlugin->setParam('persButton', plxUtils::strCheck($_POST['persButton']), 'string');
	$plxPlugin->setParam('email', $_POST['email'], 'string');
	$plxPlugin->setParam('email_cc', $_POST['email_cc'], 'string');
	$plxPlugin->setParam('supervision', $_POST['supervision'], 'numeric');
	$plxPlugin->setParam('subject', $_POST['subject'], 'string');
	$plxPlugin->setParam('thankyou', $_POST['thankyou'], 'string');
	$plxPlugin->setParam('template', $_POST['template'], 'string');
	$plxPlugin->setParam('captcha', $_POST['captcha'], 'numeric');
	$plxPlugin->setParam('mod', $_POST['mod'], 'numeric');	
	$plxPlugin->setParam('byPage', $_POST['byPage'], 'numeric');
	$plxPlugin->setParam('byPage_admin', $_POST['byPage_admin'], 'numeric');	
	$plxPlugin->setParam('tri_da', $_POST['tri_da'], 'string');
	$plxPlugin->setParam('nbStars', $_POST['nbStars'], 'numeric');
	$plxPlugin->setParam('site', $plxAdmin->aConf['title'], 'string');
	$plxPlugin->setParam('email_from', $plxAdmin->aUsers['001']['email'], 'string');
	$plxPlugin->setParam('colorStar', $_POST['colorStar'], 'string');
	$plxPlugin->setParam('labelstar_1', $_POST['labelstar_1'], 'string');
	$plxPlugin->setParam('labelstar_2', $_POST['labelstar_2'], 'string');
	$plxPlugin->setParam('labelstar_3', $_POST['labelstar_3'], 'string');
	$plxPlugin->setParam('labelstar_4', $_POST['labelstar_4'], 'string');
	$plxPlugin->setParam('labelstar_5', $_POST['labelstar_5'], 'string');
	$plxPlugin->setParam('labelstar_6', $_POST['labelstar_6'], 'string');
	$plxPlugin->setParam('labelstar_7', $_POST['labelstar_7'], 'string');
	$plxPlugin->setParam('labelstar_8', $_POST['labelstar_8'], 'string');
	$plxPlugin->setParam('labelstar_9', $_POST['labelstar_9'], 'string');
	$plxPlugin->setParam('labelstar_10', $_POST['labelstar_10'], 'string');	
	$plxPlugin->saveParams();
	header('Location: parametres_plugin.php?p=plxDonnerAvis');
	exit;
}
$mnuDisplay =  $plxPlugin->getParam('mnuDisplay')=='' ? 1 : $plxPlugin->getParam('mnuDisplay');
$tmp =  $plxPlugin->getParam('mnuName')=='' ? $plxPlugin->getLang('L_DA_DEFAULT_MENU_NAME') : $plxPlugin->getParam('mnuName');
$mnuName = stripslashes($tmp);
$mnuPos =  $plxPlugin->getParam('mnuPos')=='' ? 2 : $plxPlugin->getParam('mnuPos');
$mnuText =  $plxPlugin->getParam('mnuText')=='' ? '' : $plxPlugin->getParam('mnuText');
$persButton =  $plxPlugin->getParam('persButton')=='' ? $plxPlugin->getLang('L_DA_DEFAULT_BUTTON') : $plxPlugin->getParam('persButton');
$email = $plxPlugin->getParam('email')=='' ? $plxAdmin->aUsers['001']['email'] : $plxPlugin->getParam('email');
$email_cc = $plxPlugin->getParam('email_cc')=='' ? '' : $plxPlugin->getParam('email_cc');
$supervision = $plxPlugin->getParam('supervision')=='' ? 1 : $plxPlugin->getParam('supervision');
$subject = $plxPlugin->getParam('subject')=='' ? $plxPlugin->getLang('L_DA_DEFAULT_OBJECT') : $plxPlugin->getParam('subject');
$thankyou = $plxPlugin->getParam('thankyou')=='' ? $plxPlugin->getLang('L_DA_DEFAULT_THANKYOU') : $plxPlugin->getParam('thankyou');
$template = $plxPlugin->getParam('template')=='' ? 'static.php' : $plxPlugin->getParam('template');
$captcha = $plxPlugin->getParam('captcha')=='' ? '1' : $plxPlugin->getParam('captcha');
$mod = $plxPlugin->getParam('mod')=='' ? '1' : $plxPlugin->getParam('mod');
$byPage =  $plxPlugin->getParam('byPage')=='' ? 10 : $plxPlugin->getParam('byPage');
$byPage_admin =  $plxPlugin->getParam('byPage_admin')=='' ? 10 : $plxPlugin->getParam('byPage_admin');
$tri_da =  $plxPlugin->getParam('tri_da')=='' ? 'rsort' : $plxPlugin->getParam('tri_da');
$nbStars = $plxPlugin->getParam('nbStars')=='' ? 5 : $plxPlugin->getParam('nbStars');
$colorStar = $plxPlugin->getParam('colorStar')=='' ? 'ffae00' : $plxPlugin->getParam('colorStar');
$labelstar_1 = $plxPlugin->getParam('labelstar_1')=='' ? $plxPlugin->getLang('L_DA_STAR_1') : $plxPlugin->getParam('labelstar_1');
$labelstar_2 = $plxPlugin->getParam('labelstar_2')=='' ? $plxPlugin->getLang('L_DA_STAR_2') : $plxPlugin->getParam('labelstar_2');
$labelstar_3 = $plxPlugin->getParam('labelstar_3')=='' ? $plxPlugin->getLang('L_DA_STAR_3') : $plxPlugin->getParam('labelstar_3');
$labelstar_4 = $plxPlugin->getParam('labelstar_4')=='' ? $plxPlugin->getLang('L_DA_STAR_4') : $plxPlugin->getParam('labelstar_4');
$labelstar_5 = $plxPlugin->getParam('labelstar_5')=='' ? $plxPlugin->getLang('L_DA_STAR_5') : $plxPlugin->getParam('labelstar_5');
$labelstar_6 = $plxPlugin->getParam('labelstar_6')=='' ? '' : $plxPlugin->getParam('labelstar_6');
$labelstar_7 = $plxPlugin->getParam('labelstar_7')=='' ? '' : $plxPlugin->getParam('labelstar_7');
$labelstar_8 = $plxPlugin->getParam('labelstar_8')=='' ? '' : $plxPlugin->getParam('labelstar_8');
$labelstar_9 = $plxPlugin->getParam('labelstar_9')=='' ? '' : $plxPlugin->getParam('labelstar_9');
$labelstar_10 = $plxPlugin->getParam('labelstar_10')=='' ? '' : $plxPlugin->getParam('labelstar_10');
# On récupère les templates des pages statiques
$files = plxGlob::getInstance(PLX_ROOT.'themes/'.$plxAdmin->aConf['style']);
if ($array = $files->query('/^static(-[a-z0-9-_]+)?.php$/')) {
	foreach($array as $k=>$v)
		$aTemplates[$v] = $v;
}

?>
<?php if ($plxAdmin->aConf['version'] < '5.4') { ?>
<h2><?php echo $plxPlugin->getInfo('title') ?></h2>
<?php } ?>
<link rel="stylesheet" href="<?php echo PLX_PLUGINS; ?>plxDonnerAvis/css/config.css" type="text/css" media="screen" />
<script type="text/javascript" src="<?php echo PLX_PLUGINS; ?>plxDonnerAvis/js/config.js"></script>
<div>
	<span class="tab_0 tab" id="tab_01" onclick="javascript:change_tab('01');"><?php $plxPlugin->lang('L_DA_TAB01') ?></span>
	<span class="tab_0 tab" id="tab_02" onclick="javascript:change_tab('02');"><?php $plxPlugin->lang('L_DA_TAB02') ?></span>
	<span class="tab_0 tab" id="tab_03" onclick="javascript:change_tab('03');"><?php $plxPlugin->lang('L_DA_TAB03') ?></span>
</div>
<form class="inline-form" id="form_plxguestbook" action="parametres_plugin.php?p=plxDonnerAvis" method="post">
<div class="content_tab" id="content_tab_01">	
	<?php
	if(function_exists('mail')) {
		echo '<span style="color:green"><strong>'.$plxPlugin->getLang('L_DA_MAIL_AVAILABLE').'</strong></span>';
	} else {
		echo '<span style="color:#ff0000"><strong>'.$plxPlugin->getLang('L_DA_MAIL_NOT_AVAILABLE').'</strong></span>';
	}
	?>
	<fieldset>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_mnuDisplay"><?php echo $plxPlugin->lang('L_DA_MENU_DISPLAY') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('mnuDisplay',array('1'=>L_YES,'0'=>L_NO),$mnuDisplay); ?>
			</div>
		</div>			
		<div class="grid">
			<div class="col sml-12">
			<label for="id_mnuName"><?php $plxPlugin->lang('L_DA_MENU_TITLE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('mnuName',$mnuName,'text','20-20') ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_mnuPos"><?php $plxPlugin->lang('L_DA_MENU_POS') ?>&nbsp;:</label>
			<?php plxUtils::printInput('mnuPos',$mnuPos,'text','2-5') ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_mnuName"><?php $plxPlugin->lang('L_DA_PERSBUTTON') ?>&nbsp;:</label>
			<?php plxUtils::printInput('persButton',$persButton,'text','20-20') ?>
			</div>
		</div>			
		<div class="grid">
			<div class="col sml-12">
			<label for="id_email"><?php $plxPlugin->lang('L_DA_EMAIL') ?>&nbsp;<span class="remarkred">*</span>&nbsp;:</label>
			<?php plxUtils::printInput('email',$email,'text','100-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_email_cc"><?php $plxPlugin->lang('L_DA_EMAIL_CC') ?>&nbsp;<span class="remarkred">*</span>&nbsp;:</label>
			<?php plxUtils::printInput('email_cc',$email_cc,'text','100-120') ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_subject"><?php $plxPlugin->lang('L_DA_EMAIL_SUBJECT') ?>&nbsp;:</label>
			<?php plxUtils::printInput('subject',$subject,'text','100-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_thankyou"><?php $plxPlugin->lang('L_DA_THANKYOU_MESSAGE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('thankyou',$thankyou,'text','100-120') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_captcha"><?php echo $plxPlugin->lang('L_DA_CAPTCHA') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('captcha',array('1'=>L_YES,'0'=>L_NO),$captcha); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_template"><?php $plxPlugin->lang('L_DA_TEMPLATE') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('template', $aTemplates, $template) ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_mod"><?php echo $plxPlugin->lang('L_DA_MOD') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('mod',array('1'=>L_YES,'0'=>L_NO),$mod); ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_byPage_admin"><?php $plxPlugin->lang('L_DA_BYPAGE_ADMIN') ?>&nbsp;:</label>
			<?php plxUtils::printInput('byPage_admin',$byPage_admin,'text','2-5') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_tri_da"><?php echo $plxPlugin->lang('L_DA_TRI_GB') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('tri_da',array('sort'=>$plxPlugin->getlang('L_DA_SORT'),'rsort'=>$plxPlugin->getlang('L_DA_RSORT')),$tri_da); ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_byPage"><?php $plxPlugin->lang('L_DA_BYPAGE') ?>&nbsp;:</label>
			<?php plxUtils::printInput('byPage',$byPage,'text','2-5') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_supervision"><?php echo $plxPlugin->lang('L_DA_SUPERVISION_EMAIL') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('supervision',array('1'=>L_YES,'0'=>L_NO),$supervision); ?>
			</div>
		</div>
		<p><span class="remarkred"><?php $plxPlugin->lang('L_DA_COMMA') ?>.</span></p>
</div>
<div class="content_tab" id="content_tab_02">
		<div class="grid">
			<div class="col sml-12">
			<label for="id_nbStars"><?php echo $plxPlugin->lang('L_DA_NBSTARS') ?>&nbsp;:</label>
			<?php plxUtils::printSelect('nbStars',array('5'=>'5 '.$plxPlugin->getLang('L_DA_STARS'),'6'=>'6 '.$plxPlugin->getLang('L_DA_STARS'),'7'=>'7 '.$plxPlugin->getLang('L_DA_STARS'),'8'=>'8 '.$plxPlugin->getLang('L_DA_STARS'),'9'=>'9 '.$plxPlugin->getLang('L_DA_STARS'),'10'=>'10 '.$plxPlugin->getLang('L_DA_STARS')),$nbStars); ?>
			</div>
		</div>	
		<div class="grid">
			<div class="col sml-12">
			<label for="id_colorStar"><?php $plxPlugin->lang('L_DA_COLORSTAR') ?>&nbsp;:</label>
			<?php plxUtils::printInput('colorStar',$colorStar,'text','6-6',false,'color') ?>
			</div>
		</div>			
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_1"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;1&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_1',$labelstar_1,'text','20-20') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_2"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;2&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_2',$labelstar_2,'text','20-20') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_3"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;3&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_3',$labelstar_3,'text','20-20') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_4"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;4&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_4',$labelstar_4,'text','20-20') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_5"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;5&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_5',$labelstar_5,'text','20-20') ?>
			</div>
		</div>
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_6"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;6&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_6',$labelstar_6,'text','20-20') ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_7"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;7&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_7',$labelstar_7,'text','20-20') ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_8"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;8&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_8',$labelstar_8,'text','20-20') ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_9"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;9&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_9',$labelstar_9,'text','20-20') ?>
			</div>
		</div>		
		<div class="grid">
			<div class="col sml-12">
			<label for="id_labelstar_10"><?php $plxPlugin->lang('L_DA_STAR') ?>&nbsp;10&nbsp;:</label>
			<?php plxUtils::printInput('labelstar_10',$labelstar_10,'text','20-20') ?>
			</div>
		</div>				
</div>
		<p class="in-action-bar">
			<?php echo plxToken::getTokenPostMethod() ?>
			<input type="submit" name="submit" value="<?php $plxPlugin->lang('L_DA_SAVE') ?>" />
		</p>		
	</fieldset>
</form>
<div class="content_tab" id="content_tab_03">
	<div id="update">
		<?php $infoPlugin = $plxPlugin->donneravis->UpdatePlugin('plxDonnerAvis'); ?>
		<p><?php $plxPlugin->lang('L_VP_ACTUAL_VERSION'); ?>&nbsp;:&nbsp;<?php echo $infoPlugin['actualversion'].' ('.$infoPlugin['actualdate'].')'; ?></p>	
		<?php if ($infoPlugin['status'] == 0) { ?>
			<p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_ERROR'); ?></span></p>
			<p><a href="http://dpfpic.com" target="blank" title=""><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_warning.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 1) { ?>
			<p><?php $plxPlugin->lang('L_VP_LAST_VERSION'); ?>&nbsp; 1<?php echo $infoPlugin['newplugin']; ?>.</p>
			<p><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_ok.gif" alt=""></p>
		<?php } elseif ($infoPlugin['status'] == 2) { ?>
			<p><?php $plxPlugin->lang('L_VP_NEW_VERSION'); ?>2<p>
			<p><span class="color"><?php echo $infoPlugin['newplugin']; ?>&nbsp;(<?php echo $infoPlugin['newversion']; ?>&nbsp;-&nbsp;<?php echo $infoPlugin['newdate']; ?>)</span></p>
			<p><?php $plxPlugin->lang('L_VP_NEW2_VERSION'); ?>.</p>
			<p><a href="<?php echo $infoPlugin['newurl']; ?>" target="blank" title=""><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_download.gif" alt=""></a></p>
		<?php } elseif ($infoPlugin['status'] == 3) {?>
		    <p class="center"><span class="color"><?php $plxPlugin->lang('L_VP_DESACTIVED'); ?></span>3</p>
			<p><a href="https://ressources.pluxopolis.net/banque-plugins/index.php" target="blank" title=""><img src="<?php echo PLX_PLUGINS.get_class($plxPlugin); ?>/img/vers/up_warning.gif" alt=""></a></p>
		<?php } ?>	
	</div>
</div>	
<script type="text/javascript">
var anc_tab = '01';
change_tab(anc_tab);
</script>